This is an automated email from the git hooks/post-receive script.

js pushed a commit to branch master
in repository libcatmandu-perl.

commit 2df8527b287279be045c93f944271014c3e213c3
Author: Jonas Smedegaard <d...@jones.dk>
Date:   Mon Dec 26 14:26:25 2016 +0100

    Update package relations: (Build-)depend on libpath-tiny-perl (not 
libfile-slurp-tiny-perl). (Build-)depend on libparser-mgc-perl (not 
libmarpa-r2-perl). (Build-)depend on libcpanel-json-xs-perl (not 
libjson-xs-perl). (Build-)depend on liblwp-useragent-determined-perl 
libref-util-perl libtext-hogan-perl libasa-perl. Stop build-depend on or 
recommend perltidy. Tighten build-dependency on libtest-exception-perl.
---
 debian/rules | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

diff --git a/debian/rules b/debian/rules
index 1ada445..4f47103 100755
--- a/debian/rules
+++ b/debian/rules
@@ -23,16 +23,18 @@ include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-# Needed by upstream build and (always/often/seldom) at runtime
-perl-deps = cgi-expand clone config-onion data-uuid file-slurp-tiny
-perl-deps += hash-merge-simple io-handle-util www marpa-r2 module-info
-perl-deps += moox-aliases moox-role-logger sub-exporter try-tiny-byclass
-perl-deps += uri any-uri-escape
+# Needed by upstream build and (always/seldom) at runtime
+perl-deps = any-uri-escape cgi-expand clone config-onion data-uuid
+perl-deps += hash-merge-simple io-handle-util www
+perl-deps += lwp-useragent-determined module-info moox-aliases
+perl-deps += moox-role-logger parser-mgc path-tiny ref-util sub-exporter
+perl-deps += text-hogan try-tiny-byclass
+perl-deps += uri asa
 deps = $(patsubst %,$(comma) lib%-perl, $(perl-deps))
 deps +=, libapp-cmd-perl (>= 0.330)
+deps +=, libcpanel-json-xs-perl (>= 3.0213)
 deps +=, libdata-compare-perl (>= 0.22)
 deps +=, libfile-find-rule-perl (>= 0.33)
-deps +=, libjson-xs-perl (>= 2.300)
 deps +=, liblist-moreutils-perl (>= 0.33)
 deps +=, libmoo-perl (>= 1.004006)
 deps +=, libtext-csv-perl (>= 1.21)
@@ -40,14 +42,13 @@ deps +=, libthrowable-perl (>= 0.200004)
 deps +=, liburi-template-perl (>= 0.22)
 deps +=, libyaml-libyaml-perl (>= 0.41)
 deps +=, libnamespace-clean-perl (>= 0.24)
-deps-recommend = perltidy
 deps-suggest = liblog-any-adapter-log4perl-perl, liblog-log4perl-perl
 
 # Needed by upstream testsuite
 deps-test = libtest-lwp-useragent-perl, libtest-pod-perl
 deps-test +=, liblog-any-perl (>= 1.03)
 deps-test +=, libtest-deep-perl (>= 0.112)
-deps-test +=, libtest-exception-perl (>= 0.32)
+deps-test +=, libtest-exception-perl (>= 0.43)
 deps-test +=, perl (>= 5.19.5) | libtest-simple-perl (>= 0.99)
 
 # Needed (always/often) at runtime
@@ -57,7 +58,7 @@ recommends +=, liblog-log4perl-perl (>= 0.44)
 
 CDBS_BUILD_DEPENDS +=, $(deps), $(deps-recommend), $(deps-suggest), 
$(deps-test)
 CDBS_DEPENDS_$(pkg) = $(deps), $(depends)
-CDBS_RECOMMENDS_$(pkg) = $(deps-recommend), $(recommends)
+CDBS_RECOMMENDS_$(pkg) = $(recommends)
 CDBS_RECOMMENDS_$(pkg) = $(deps-suggest)
 
 # drop empty man pages

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libcatmandu-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to